//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
[[command_fset_fset]]
* `+fset+`: szybkie ustawianie opcji WeeChat i wtyczek

----
/fset  -bar
       -refresh
       -up|-down [<ilość>]
       -left|-right [<procent>]
       -go <linia>|end
       -toggle
       -add [<wartość>]
       -reset
       -unset
       -set
       -setnew
       -append
       -mark
       -format
       -export [-help|-nohelp] <nazwa pliku>
       <filtr>

       -bar: dodaj pomoc dla paska
   -refresh: odświerza litę opcji, następnie cały ekran (komenda: /window refresh)
        -up: przesuwa linie do góry o podaną "ilość" linii
      -down: przesuwa linie w dół o podaną "ilość" linii
      -left: przewija bufor o "procent" szerokości w lewo
     -right: przewija bufor o "procent" szerokości w prawo
        -go: wybierz numer linii, pierwsza linia ma numer 0 ("end" wyiera ostatnią linię)
    -toggle: zmienia wartość opcji boolowskiej
       -add: dodaje "wartość" (może być ujemna) do liczb i kolorów, ustawia/dodaje do wartości innych typów (ustawia, jeśli wartość jest ujemna, dodaje jeśli wartość jest pozytywna)
     -reset: resetuje wartość opcji
     -unset: kasuje wartość opcji
       -set: dodaje komendę /set do linii poleceń w celu edycji wartości dla opcji (ustawia kursor na początku wartości)
    -setnew: dodaje komendę /set do linii poleceń w celu ustawienia wartości dla opcji
    -append: dodaje komendę /set do linii poleceń w celu dodania wartości do opcji (ustawia kursor na końcu wartości)
      -mark: przełącza zaznaczenie
    -format: przełącza na następny dostępny format
    -export: eksportuje opcje i wartości wyświetlane w pliku (każda linia ma format: "/set nazwa wartość" lub "/unset nazwa")
      -help: wymusza zapisanie pomocy dla opcji w wyeksportowanym pliku (zobacz /help fset.look.export_help_default)
    -nohelp: nie zapisuj pomocy dla opcji w wyeksportowanym pliku (zobacz /help fset.look.export_help_default)
     filtr: ustawia nowy filtr żeby pokazać konkretne opcje (filtr ten może być użyty jako dane wejściowe w buforze fset); dozwolone formaty:
               *       pokazuje wszystkie opcje (brak filtra)
               xxx     pokazuje tylko opcje z "xxx" w nazwie
               f:xxx   pokazuje tylko opcje dla pliku konfiguracyjnego "xxx"
               t:xxx   pokazuje tylko opcje typu "xxx" (bool/int/str/col)
               d       pokazuje tylko zmienione opcje
               d:xxx   pokazuje tylko zmienione opcje z "xxx" w nazwie
               d=xxx   pokazuje tylko zmienione opcje z wartością zawierającą "xxx"
               d==xxx  pokazuje tylko zmienione opcje z wartością równą "xxx"
               =xxx    pokazuje tylko opcje z wartością zawierającą "xxx"
               ==xxx   pokazuje tylko opcje z wartością równą "xxx"
               c:xxx   pokazuje tylko opcje pasujące do przretworzonego warunku "xxx", używając najstępujących zmiennych: file, section, option, name, parent_name, type, type_en, type_short (bool/int/str/col), type_tiny (b/i/s/c), default_value, default_value_undef, value, quoted_value, value_undef, value_changed, parent_value, min, max, description, description2, description_en, description_en2, string_values

Linie z opcjami są wyświetlane z użyciem przetworzonych ciągów (zobacz /help eval aby poznać format), z tymi opcjami:
  - fset.format.option1: pierwszy format dla opcji
  - fset.format.option2: drugi format dla opcji

Następujące zmienne mogą zostać użyte w tych opcjach:
  - dane opcji z kolorem i wyrównane spacjami do prawej:
    - ${file}: plik konfiguracyjny (na przykład "weechat" lub "irc")
    - ${section}: sekcja
    - ${option}: nazwa opcji
    - ${name}: pełna nazwa opcji (plik.sekcja.opcja)
    - ${parent_name}: nazwa nadrzędnej opcji
    - ${type}: typ opcji (przetłumaczony)
    - ${type_en}: typ opcji (po angielsku)
    - ${type_short}: skrócony typ (bool/int/str/col)
    - ${type_tiny}: krótki typ (b/i/s/c)
    - ${default_value}: domyślna wartość opcji
    - ${default_value_undef}: "1" jeśli domyślna wartość jest pusta, inaczej "0"
    - ${value}: wartość opcji
    - ${value_undef}: "1" jeśli wartość jest pusta, inaczej "0"
    - ${value_changed}: "1" jeśli wartość różni się od domyślnej, inaczej "0"
    - ${value2}: wartość opcji, z odziedziczoną wartościa jeśli pusta
    - ${parent_value}: wartość nadrzędnej opcji
    - ${min}: minimalna wartość
    - ${max}: maksymalna wartość
    - ${description}: opis opcji (przetłumaczony)
    - ${description2}: opis opcji (przetłumaczony), "(brak opisu)" (przetłumaczony) jeśli nie ma opisu
    - ${description_en}: opis opcji (po angielsku)
    - ${description_en2}: opis opcji (po angielsku), "(brak opisu)" jeśli nie ma opisu
    - ${string_values}: dozwolone wartości ciągu dla liczbowych wartości opcji
    - ${marked}: "1" jeśli opcja jest zaznaczona, inaczej "0"
    - ${index}: numer opcji na liście
  - dane opcji, z kolorami ale bez spacji:
    - te same nazwy poprzedzone podkreśleniem, na przykład: ${_name}, ${_type}, ...
  - dane opcji, nieprzetworzony format (bez kolorów/spacji):
    - te same nazwy poprzedzone dwoma podkreśleniami, na przykład: ${__name}, ${__type}, ...
  - dane opcji, tylko spacje:
    - te same nazwy poprzedzone "empty_", na przykład: ${empty_name}, ${empty_type}
  - inne dane:
    - ${selected_line}: "1" jeśli linia jest zaznaczona, inaczej "0"
    - ${newline}: dodaje znak nowej linii, dzięki czemu opcja wyświetlana jestw kilku liniach

Klawisze i polecenia do poruszania się w buforze fset:
  up                        przesuwa linię do góry
  down                      przesuwa linie w dół
  pgup                      przesówa stronę do góry
  pgdn                      przesówa stronę w dół
  alt-home          <<      przenosi do pierwszej linii
  alt-end           >>      przenosi do ostatniej linii
  F11               <       przewija w lewo
  F12               >       przewija w prawo

Klawisze i polecenia do ustawiania opcji w buforze fset:
  alt+space         t       zmiana wartości boolowskiej
  alt+'-'           -       odejmuje 1 od wartości liczbowej/koloru, ustawia wartości innych typów
  alt+'+'           +       dodaje 1 od wartości liczbowej/koloru, dodaje do wartości innych typów
  alt+f, alt+r      r       resetuje wartość
  alt+f, alt+u      u       kasuje wartość
  alt+enter         s       ustawia wartość
  alt+f, alt+n      n       ustawia nową wartość
  alt+f, alt+a      a       dodaje do wartości
  alt+','           ,       zazcnacza/odznacza opcję
  shift+up                  przesuwa jedną linię w górę oraz zaznacza/odznacza opcję
  shift+down                zaznacza/odznacza opcję i przesuwa jedną linię w dół
                    m:xxx   zaznacza wyświetlane opcje pasujące do filtru "xxx" (dowolny filtr dla opcji lub wartoci, zobacz wyżej jak definiować filtry)
                    u:xxx   odznacza wyświetlane opcje pasujące do filtru "xxx" (dowolny filtr dla opcji lub wartoci, zobacz wyżej jak definiować filtry)

Pozostałe skróty klawiszowe i polecenia w buforze fset:
  ctrl+L                    odświerza opcje i cały ekran (komenda: /fset -refresh)
                    $       odświerza opcje (pozotawia zaznaczenia)
                    $$      odświerza opcje (kasuje zaznaczenia)
  alt+p             p       przełącza opcje opisu wtyczki (plugins.desc.*)
  alt+v             v       przełącza pasek pomocy
                    s:x,y   sortuje opcje po wartościach x,y (zobacz /help fset.look.sort)
                    s:      resetuje sortowanie do domyślnych wartości (zobacz /help fset.look.sort)
                    w:xxx   eksportuje opcje do pliku "xxx"
                    w-:xxx  eskportuje opcje do pliku "xxx" bez pomocy
                    w+:xxx  eskportuje opcje do pliku "xxx" z pomocą
  ctrl+X            x       przełącza format uzywany do wyświetlenia opcji
                    q       zamyka bufor fset

Akcje myszy w buforze fset:
  rolka up/down                                  przesuwa linie w gorę/dół
  lewy przyciks                                  przesuwa linię w wybrane miejsce
  prawy przycisk                                 przełącza wartość boolowską (on/off) lub edytuje wartość pola
  prawy przycisk + przeciągnięcie w lewo/prawo   zwiększa/zmniejsza wartość liczby/koloru, ustawia/dodaje wartości innych typów
  prawy przycisk + przeciągnięcie w górę/dół     zaznacza/odznacza wiele opcji

Uwaga: jeśli wejście posiada na początku kilka spacji jest traktowane jako filtr bez spacji. Na przykład " q" pokazuje wszystkie opcje z "q" w nazwie "q" zamyka bufor.

Przykłady:
  pokazuje zmienione opcje IRC:
    /fset d:irc.*
  pokazuje wszystkie opcje zawierające w nazwie "nicklist":
    /fset nicklist
  pokazuje wszystkie wartości zawierające "red":
    /fset =red
  pokazuje wszystkie wartości równe "red":
    /fset ==red
  pokazuje wszystkie liczbowe wartości wtyczki irc:
    /fset c:${file} == irc && ${type_en} == integer
----
